Bug 8357 - UNIMARCslim2OPACDetail.xsl, title without class and too links to views
Summary: UNIMARCslim2OPACDetail.xsl, title without class and too links to views
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-05 08:06 UTC by Zeno Tajoli
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.71 KB, patch)
2012-07-27 09:39 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Proposed patch (2) (4.18 KB, patch)
2012-07-30 08:53 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8204: fix UNIMARC display (13.66 KB, patch)
2012-08-01 15:02 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8204: fix UNIMARC display (13.71 KB, patch)
2012-08-01 15:33 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8357: UNIMARCslim2OPACDetail.xsl, title without class and too links to views (4.22 KB, patch)
2012-08-01 16:01 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2012-07-05 08:06:03 UTC
There are problems the xslt file for Unimarc Opac detailed dysplay.

1) The title has '<h1> ... </h1>' instead of ''<h1 class="title"> ... </h1>'
(line 29).

2)There are lines (71-86) that create link to different views of the record.
But those links are created also with template opac-detail.tt.
So in the display you see two time the same links.

Those problems are present also in master and in 3.6
Comment 1 Fridolin SOMERS 2012-07-27 09:39:50 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2012-07-27 09:42:13 UTC
Note that the "title" class is important because is sets the CSS float:none instead of float:left (like page without XSTL).
Comment 3 Fridolin SOMERS 2012-07-30 08:53:10 UTC Comment hidden (obsolete)
Comment 4 Zeno Tajoli 2012-07-30 16:40:28 UTC
I have test the patch with sandbox n.2.
In fact the files are identical in 3.8.x and in master.

No problem apply thr patch.

With the patch the bug is over.
Comment 5 Paul Poulain 2012-08-01 15:02:10 UTC
Patch tested with a sandbox, by Zeno Tajoli <tajoli@cilea.it>
Comment 6 Paul Poulain 2012-08-01 15:02:32 UTC Comment hidden (obsolete)
Comment 7 Paul Poulain 2012-08-01 15:18:49 UTC
Comment on attachment 11188 [details] [review]
Proposed patch (2)

This patch signed-off by zeno. The other obsoleted patch ( Bug 8204: fix UNIMARC display (13.66 KB, patch) ) is a mistake made by the sandbox system.
Comment 8 Fridolin SOMERS 2012-08-01 15:26:41 UTC
But, signed-off patch is not in attachments.
Zeno ?
Comment 9 Paul Poulain 2012-08-01 15:33:09 UTC
Patch tested with a sandbox, by Zeno Tajoli <tajoli@cilea.it>
Comment 10 Paul Poulain 2012-08-01 15:33:27 UTC Comment hidden (obsolete)
Comment 11 Zeno Tajoli 2012-08-01 15:36:25 UTC
Sorry for the problem,
I think there is same problem on sanboxes.
I try to redo again
Comment 12 Paul Poulain 2012-08-01 16:01:10 UTC
Patch tested with a sandbox, by Zeno Tajoli <tajoli@cilea.it>
Comment 13 Paul Poulain 2012-08-01 16:01:30 UTC
Created attachment 11270 [details] [review]
Bug 8357: UNIMARCslim2OPACDetail.xsl, title without class and too links to views

Signed-off-by: Zeno Tajoli <tajoli@cilea.it>
Comment 14 Zeno Tajoli 2012-08-01 16:05:50 UTC
Hi to all,

now the situation is OK.
I don't know if is my work with sandbox number 3 or by Paul Poulain but it is OK.
Comment 15 Paul Poulain 2012-08-02 08:57:17 UTC
(In reply to comment #14)
> Hi to all,
> 
> now the situation is OK.
> I don't know if is my work with sandbox number 3 or by Paul Poulain but it
> is OK.

Well, the explanation is the following:
 * there was a mistake in my sandbox setup that made the signoff script to badly fail to do anything.
 * 2 days later, when I fixed the problem, your pending "sign-off" has been applied. Except that ... the signoff is made on the top patch. As 2 days have ellapsed, the "head" patch was no more the correct one and another one was attached as signed off !

My fault, but now it's fixed. The patch, signed-off by you, is uploaded !
Comment 16 Mason James 2012-08-10 08:59:31 UTC
(In reply to comment #10)
> Created attachment 11269 [details] [review]
> Bug 8204: fix UNIMARC display
> 
> UNIMARC display of authorities in the OPAC wasn't working due to
> changes in the BuildSummary function since the code was originally
> developed.
> 
> Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
> Signed-off-by: Zeno Tajoli <tajoli@cilea.it>

patch looks good, passing QA

mason@xen1:~/git/head$ koha-qa.pl 
        * 442dae6 Bug 8357: UNIMARCslim2OPACDetail.xsl, title without class and too links to views
                koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCslimUtils.xsl
                koha-tmpl/opac-tmpl/prog/en/xslt/MARC21slim2OPACDetail.xsl
                koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslim2OPACDetail.xsl

- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/valid-template.t tests... OK
Comment 17 Chris Cormack 2012-08-12 06:31:04 UTC
Pushed to 3.8.x will be in 3.8.4
Comment 18 Paul Poulain 2012-08-31 20:23:07 UTC
Pushed to master. Already on stable, setting status accordingly